GDB (xrefs)

Public Attributes | List of all members
m32r_unwind_cache Struct Reference

## Public Attributes
CORE_ADDR | prev_sp
CORE_ADDR | base
int | size
LONGEST | sp_offset
LONGEST | r13_offset
int | uses_frame
struct trad_frame_saved_reg * | saved_regs

## Detailed Description

Definition at line 498 of file m32r-tdep.c.

## Member Data Documentation

## ◆ base

CORE_ADDR m32r_unwind_cache::base

Definition at line 504 of file m32r-tdep.c.

Referenced by m32r_frame_base_address(), m32r_frame_this_id(), and m32r_frame_unwind_cache().

## ◆ prev_sp

CORE_ADDR m32r_unwind_cache::prev_sp

Definition at line 502 of file m32r-tdep.c.

Referenced by m32r_frame_this_id(), and m32r_frame_unwind_cache().

## ◆ r13_offset

LONGEST m32r_unwind_cache::r13_offset

Definition at line 510 of file m32r-tdep.c.

Referenced by m32r_frame_unwind_cache().

## ◆ saved_regs

struct trad_frame_saved_reg* m32r_unwind_cache::saved_regs

Definition at line 513 of file m32r-tdep.c.

Referenced by m32r_frame_prev_register(), and m32r_frame_unwind_cache().

## ◆ size

int m32r_unwind_cache::size

Definition at line 505 of file m32r-tdep.c.

Referenced by m32r_frame_unwind_cache().

## ◆ sp_offset

LONGEST m32r_unwind_cache::sp_offset

Definition at line 509 of file m32r-tdep.c.

Referenced by m32r_frame_unwind_cache().

## ◆ uses_frame

int m32r_unwind_cache::uses_frame

Definition at line 511 of file m32r-tdep.c.

Referenced by m32r_frame_unwind_cache().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/m32r-tdep.c